PDA

View Full Version : Why isnt this script compiling?


Drunkside
09-24-2009, 07:36 AM
So i dont know a s**t about scripting, and would really want to get this one to work... I just want to warp to my new module. harlll gave me this script :

void main() {
StartNewModule("660dan");
}

But i cant compile it. So if someone knows (as im sure many of you do) whats wrong then please enlighten me.

harIII
09-24-2009, 07:57 AM
I'm not sure what's happening but it compiled okay when you set the compiler to run for K1, I don't have K2 up and running so I cannot test for TSL.

Try compiling it for K1 verses K2 and see what happens, and sorry for the trouble.

Drunkside
09-25-2009, 03:20 AM
For K1 it works like a charm, but not for K2. And its not your fault, you gave me a script :xp: If you hadnt given it to me i wouldnt be this far :p

Does anyone with TSL installed know what is wrong?

Agamo
09-25-2009, 04:21 AM
That's weird... I just tried it in KotOR Tool's script compiler and it worked fine.

Drunkside
09-25-2009, 07:41 AM
Ok then i guess it has something to do with the fact that my TSL isnt an american version (K1 is because i broke my original disc and had to order a new one from the states)... Maybe if i downloaded some another script compiler it would work. I´ll try using some other program and post what happens here.

Godric Volturi
09-25-2009, 08:03 AM
Uhm... actually... some of the scripts are different in TSL. >< Haha... and I think this is one of them...

Agamo
09-25-2009, 08:09 AM
Drunkside if you want I could just give you the compiled script wait... did I compile it for TSL? I'll check....... Yeah it compiles for TSL for me..

Drunkside
09-25-2009, 11:17 AM
Ok... just upload it somewhere and pm me the link if you have the time. And thank you, this has been a major problem for a few days now :D

Star Admiral
09-25-2009, 12:00 PM
Did you patch your TSL game to the latest version? Non-American versions of the game have a bug in the nwscript.nss file that prevents any script from compiling.

- Star Admiral

Darth333
09-25-2009, 08:12 PM
How about posting the error you're getting when trying to compile?

Drunkside
09-26-2009, 06:16 AM
I think i have patched the game... *checks* Oh damn... It think its the V1. I was sure i downloaded the patch. But that must have been before i played TJM mod, and ive forgotten to redownload it. Well, this clears up a several problems i have been having with TSL. Im going to download the manual patch now because the game cannot find my internet connection.

Edit: When i try to run the patcher it says " Old file not found. However a file of the same name was found. No changes made since file contents do not match ". So does this mean that i do have the updated version?

EDITEDIT: It seems that i already had a broken TSL, and now the update programs have messed it up entirely. I cannot get in game anymore, so it seems that a reinstall is in order.